package com.koucky.petr.mysldenik.fragments;

import android.content.Context;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.github.aakira.expandablelayout.ExpandableRelativeLayout;
import com.koucky.petr.mysldenik.R;

/**
 * A simple {@link Fragment} subclass.
 * Activities that contain this fragment must implement the
 * {@link UsefulInfoFragment.OnFragmentInteractionListener} interface
 * to handle interaction events.
 * Use the {@link UsefulInfoFragment#newInstance} factory method to
 * create an instance of this fragment.
 */
public class UsefulInfoFragment extends Fragment {
    // TODO: Rename parameter arguments, choose names that match
    // the fragment initialization parameters, e.g. ARG_ITEM_NUMBER
    private static final String ARG_PARAM1 = "param1";
    private static final String ARG_PARAM2 = "param2";

    // TODO: Rename and change types of parameters
    private String mParam1;
    private String mParam2;

    private OnFragmentInteractionListener mListener;

    public UsefulInfoFragment() {
        // Required empty public constructor
    }

    /**
     * Use this factory method to create a new instance of
     * this fragment using the provided parameters.
     *
     * @param param1 Parameter 1.
     * @param param2 Parameter 2.
     * @return A new instance of fragment UsefulInfoFragment.
     */
    // TODO: Rename and change types and number of parameters
    public static UsefulInfoFragment newInstance(String param1, String param2) {
        UsefulInfoFragment fragment = new UsefulInfoFragment();
        Bundle args = new Bundle();
        args.putString(ARG_PARAM1, param1);
        args.putString(ARG_PARAM2, param2);
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (getArguments() != null) {
            mParam1 = getArguments().getString(ARG_PARAM1);
            mParam2 = getArguments().getString(ARG_PARAM2);
        }
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_useful_info, container, false);
        view.findViewById(R.id.expandableButton1).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout1)).toggle();
            }
        });

        view.findViewById(R.id.expandableButton2).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout2)).toggle();
            }
        });

        view.findViewById(R.id.expandableButton3).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout3)).toggle();
            }
        });

        view.findViewById(R.id.expandableButton4).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout4)).toggle();
            }
        });
        view.findViewById(R.id.expandableButton5).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout5)).toggle();
            }
        });

        view.findViewById(R.id.expandableButton6).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout6)).toggle();
            }
        });

        view.findViewById(R.id.expandableButton7).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout7)).toggle();
            }
        });

        view.findViewById(R.id.expandableButton8).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout8)).toggle();
            }
        });

        view.findViewById(R.id.expandableButton9).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout9)).toggle();
            }
        });
//
//        view.findViewById(R.id.expandableButton10).setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                ((ExpandableRelativeLayout) getView().findViewById(R.id.expandableLayout10)).toggle();
//            }
//        });
        return view;
    }

    public void changeView() {
        if (getView().findViewById(R.id.dogs).getVisibility() == View.VISIBLE) {
            getView().findViewById(R.id.dogs).setVisibility(View.GONE);
            getView().findViewById(R.id.huntDates).setVisibility(View.VISIBLE);
        } else {
            getView().findViewById(R.id.dogs).setVisibility(View.VISIBLE);
            getView().findViewById(R.id.huntDates).setVisibility(View.GONE);
        }
    }

    // TODO: Rename method, update argument and hook method into UI event
    public void onButtonPressed(Uri uri) {
        if (mListener != null) {
            mListener.onFragmentInteraction(uri);
        }
    }

    @Override
    public void onAttach(Context context) {
        super.onAttach(context);
        if (context instanceof OnFragmentInteractionListener) {
            mListener = (OnFragmentInteractionListener) context;
        } else {
            throw new RuntimeException(context.toString()
                    + " must implement OnFragmentInteractionListener");
        }
    }

    @Override
    public void onDetach() {
        super.onDetach();
        mListener = null;
    }

    /**
     * This interface must be implemented by activities that contain this
     * fragment to allow an interaction in this fragment to be communicated
     * to the activity and potentially other fragments contained in that
     * activity.
     * <p>
     * See the Android Training lesson <a href=
     * "http://developer.android.com/training/basics/fragments/communicating.html"
     * >Communicating with Other Fragments</a> for more information.
     */
    public interface OnFragmentInteractionListener {
        // TODO: Update argument type and name
        void onFragmentInteraction(Uri uri);
    }
}
