package com.koucky.petr.mysldenik.adapter;

import java.util.List;

import android.app.Activity;
import android.support.annotation.NonNull;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.koucky.petr.mysldenik.entity.evidence.EvidenceAdapterModel;

public abstract class AbstractArrayAdapter extends ArrayAdapter<EvidenceAdapterModel> {

    protected final List<EvidenceAdapterModel> list;
    protected final Activity context;

    protected AbstractArrayAdapter(Activity context, int layout, List<EvidenceAdapterModel> list) {
        super(context, layout, list);
        this.context = context;
        this.list = list;
    }

    static class ViewHolder {
        TextView firstLine;
        TextView secondLine;
        TextView thirdLine;
        ImageView imageView;
    }

    @NonNull
    @Override
    public abstract View getView(int position, View convertView, @NonNull ViewGroup parent);
}