package com.koucky.petr.mysldenik.entity;

import com.google.firebase.database.Exclude;
import com.google.firebase.database.IgnoreExtraProperties;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by koucky on 4/24/17.
 */

@IgnoreExtraProperties
public class Shooting {

    public boolean active;
    public String area;
    public String description;
    public String fields;
    public Double lat;
    public Double lng;
    public String name;
    public String others;
    public String water;
    public String woods;

    public Shooting() {
    }

    public Shooting(boolean active, String area, String description, String fields, Double lat, Double lng, String name, String others, String water, String woods) {
        this.active = active;
        this.area = area;
        this.description = description;
        this.fields = fields;
        this.lat = lat;
        this.lng = lng;
        this.name = name;
        this.others = others;
        this.water = water;
        this.woods = woods;
    }

    @Exclude
    public Map<String, Object> toMap() {
        HashMap<String, Object> result = new HashMap<>();
                result.put("active=", active);
                result.put("area=", area);
                result.put("description=", description);
                result.put("fields=", fields);
                result.put("lat=", lat);
                result.put("lng=", lng);
                result.put("name=", name);
                result.put("others=", others);
                result.put("water=", water);
                result.put("woods=", woods);

        return result;
    }

}